Android सुरक्षा बुलेटिन—मई 2022

2 मई 2022 को प्रकाशित | 3 मई 2022 को अपडेट किया गया

Android सुरक्षा बुलेटिन में Android उपकरणों को प्रभावित करने वाली सुरक्षा कमजोरियों का विवरण होता है। 2022-05-05 या बाद के सुरक्षा पैच स्तर इन सभी मुद्दों को संबोधित करते हैं। किसी डिवाइस के सुरक्षा पैच स्तर की जांच करने का तरीका जानने के लिए, अपना Android संस्करण जांचें और अपडेट करें देखें.

प्रकाशन से कम से कम एक महीने पहले Android भागीदारों को सभी मुद्दों के बारे में सूचित किया जाता है। इन मुद्दों के लिए स्रोत कोड पैच एंड्रॉइड ओपन सोर्स प्रोजेक्ट (एओएसपी) रिपोजिटरी में जारी किए गए हैं और इस बुलेटिन से जुड़े हुए हैं। इस बुलेटिन में एओएसपी के बाहर पैच के लिंक भी शामिल हैं।

इनमें से सबसे गंभीर समस्या फ्रेमवर्क घटक में एक उच्च सुरक्षा भेद्यता है जो आवश्यक उपयोगकर्ता निष्पादन विशेषाधिकारों के साथ विशेषाधिकार की स्थानीय वृद्धि का कारण बन सकती है। गंभीरता का आकलन इस प्रभाव पर आधारित है कि भेद्यता का शोषण संभवतः एक प्रभावित डिवाइस पर होगा, यह मानते हुए कि प्लेटफॉर्म और सेवा शमन को विकास उद्देश्यों के लिए बंद कर दिया गया है या सफलतापूर्वक बायपास कर दिया गया है।

Android सुरक्षा प्लेटफ़ॉर्म सुरक्षा और Google Play प्रोटेक्ट पर विवरण के लिए Android और Google Play प्रोटेक्ट मिटिगेशन अनुभाग देखें, जो Android प्लेटफ़ॉर्म की सुरक्षा में सुधार करते हैं।

Android और Google सेवा में कमी

यह Android सुरक्षा प्लेटफ़ॉर्म और Google Play Protect जैसी सेवा सुरक्षा द्वारा प्रदान किए गए शमन का सारांश है। ये क्षमताएं इस संभावना को कम करती हैं कि Android पर सुरक्षा कमजोरियों का सफलतापूर्वक शोषण किया जा सकता है।

  • एंड्रॉइड प्लेटफॉर्म के नए संस्करणों में एन्हांसमेंट द्वारा एंड्रॉइड पर कई मुद्दों के लिए शोषण को और अधिक कठिन बना दिया गया है। हम सभी उपयोगकर्ताओं को जहां संभव हो, Android के नवीनतम संस्करण में अपडेट करने के लिए प्रोत्साहित करते हैं।
  • एंड्रॉइड सुरक्षा टीम सक्रिय रूप से Google Play Protect के माध्यम से दुरुपयोग की निगरानी करती है और उपयोगकर्ताओं को संभावित रूप से हानिकारक एप्लिकेशन के बारे में चेतावनी देती है। Google Play Protect Google मोबाइल सेवाओं वाले उपकरणों पर डिफ़ॉल्ट रूप से सक्षम होता है, और यह उन उपयोगकर्ताओं के लिए विशेष रूप से महत्वपूर्ण है जो Google Play के बाहर से ऐप्स इंस्टॉल करते हैं।

2022-05-01 सुरक्षा पैच स्तर की भेद्यता विवरण

नीचे दिए गए अनुभागों में, हम 2022-05-01 पैच स्तर पर लागू होने वाली प्रत्येक सुरक्षा भेद्यता के लिए विवरण प्रदान करते हैं। कमजोरियों को उनके द्वारा प्रभावित घटक के अंतर्गत वर्गीकृत किया जाता है। समस्याओं को नीचे दी गई तालिका में वर्णित किया गया है और इसमें सीवीई आईडी, संबद्ध संदर्भ, भेद्यता का प्रकार , गंभीरता और अद्यतन एओएसपी संस्करण (जहां लागू हो) शामिल हैं। उपलब्ध होने पर, हम उस सार्वजनिक परिवर्तन को जोड़ते हैं जिसने समस्या को बग आईडी से संबोधित किया, जैसे AOSP परिवर्तन सूची। जब एक से अधिक परिवर्तन एक बग से संबंधित होते हैं, तो अतिरिक्त संदर्भ बग आईडी के बाद की संख्याओं से जुड़े होते हैं। Android 10 और बाद के संस्करण वाले डिवाइस सुरक्षा अपडेट के साथ-साथ Google Play सिस्टम अपडेट प्राप्त कर सकते हैं।

रूपरेखा

इस खंड में सबसे गंभीर भेद्यता उपयोगकर्ता निष्पादन विशेषाधिकारों के साथ विशेषाधिकार की स्थानीय वृद्धि का कारण बन सकती है।

सीवीई संदर्भ टाइप तीव्रता अपडेट किया गया एओएसपी संस्करण
सीवीई-2021-39662 ए-197302116 ईओपी उच्च 11, 12
सीवीई-2022-20004 ए-179699767 ईओपी उच्च 10, 11, 12, 12एल
सीवीई-2022-20005 ए-219044664 ईओपी उच्च 10, 11, 12, 12एल
सीवीई-2022-20007 ए-211481342 ईओपी उच्च 10, 11, 12, 12एल
सीवीई-2021-39700 ए-201645790 पहचान संतुलित 10, 11, 12

व्यवस्था

इस खंड में सबसे गंभीर भेद्यता विशेषाधिकार की स्थानीय वृद्धि का कारण बन सकती है, जिसमें अतिरिक्त निष्पादन विशेषाधिकारों की आवश्यकता नहीं है।

सीवीई संदर्भ टाइप तीव्रता अपडेट किया गया एओएसपी संस्करण
सीवीई-2022-113 ए-205996517 ईओपी उच्च 12, 12एल
सीवीई-2022-20114 ए-211114016 ईओपी उच्च 10, 11, 12, 12एल
सीवीई-2022-116 ए-212467440 ईओपी उच्च 12, 12एल
सीवीई-2022-20010 ए-213519176 पहचान उच्च 12, 12एल
सीवीई-2022-20011 ए-214999128 पहचान उच्च 10, 11, 12, 12एल
सीवीई-2022-20115 ए-210118427 पहचान उच्च 12, 12एल
सीवीई-2021-39670 ए-204087139 करने योग्य उच्च 12, 12एल
सीवीई-2022-20112 ए-206987762 करने योग्य उच्च 10, 11, 12, 12एल

Google Play सिस्टम अपडेट

निम्नलिखित मुद्दे प्रोजेक्ट मेनलाइन घटकों में शामिल हैं।

अवयव सीवीई
मीडिया प्रदाता सीवीई-2021-39662

2022-05-05 सुरक्षा पैच स्तर की भेद्यता विवरण

नीचे दिए गए अनुभागों में, हम 2022-05-05 पैच स्तर पर लागू होने वाली प्रत्येक सुरक्षा भेद्यता के लिए विवरण प्रदान करते हैं। कमजोरियों को उनके द्वारा प्रभावित घटक के अंतर्गत वर्गीकृत किया जाता है। समस्याओं को नीचे दी गई तालिका में वर्णित किया गया है और इसमें सीवीई आईडी, संबद्ध संदर्भ, भेद्यता का प्रकार , गंभीरता और अद्यतन एओएसपी संस्करण (जहां लागू हो) शामिल हैं। उपलब्ध होने पर, हम उस सार्वजनिक परिवर्तन को जोड़ते हैं जिसने समस्या को बग आईडी से संबोधित किया, जैसे AOSP परिवर्तन सूची। जब एक से अधिक परिवर्तन एक बग से संबंधित होते हैं, तो अतिरिक्त संदर्भ बग आईडी के बाद की संख्याओं से जुड़े होते हैं।

कर्नेल घटक

इस खंड में सबसे गंभीर भेद्यता सिस्टम पुस्तकालयों में विशेषाधिकार की स्थानीय वृद्धि का कारण बन सकती है, जिसमें अतिरिक्त निष्पादन विशेषाधिकारों की आवश्यकता नहीं है।

सीवीई संदर्भ टाइप तीव्रता अवयव
सीवीई-2022-0847 ए-220741611
अपस्ट्रीम कर्नेल [ 2 ] [ 3 ]
ईओपी उच्च पाइप्स
सीवीई-2022-20009 ए-213172319
अपस्ट्रीम कर्नेल [ 2 ]
ईओपी उच्च लिनक्स
सीवीई-2022-20008 ए-216481035
अपस्ट्रीम कर्नेल [ 2 ] [ 3 ]
पहचान उच्च एसडी एमएमसी
सीवीई-2021-22600 ए-213464034
अपस्ट्रीम कर्नेल
ईओपी संतुलित गुठली

मीडियाटेक घटक

ये कमजोरियां मीडियाटेक घटकों को प्रभावित करती हैं और आगे के विवरण सीधे मीडियाटेक से उपलब्ध हैं। इन मुद्दों की गंभीरता का आकलन सीधे मीडियाटेक द्वारा प्रदान किया जाता है।

सीवीई संदर्भ तीव्रता अवयव
सीवीई-2022-20084 ए-223071148
एम-एएलपीएस06498874 *
उच्च टेलीफ़ोनी
सीवीई-2022-109 ए-223072269
एम-एएलपीएस06399915 *
उच्च आयन
सीवीई-2022-110 ए-223071150
एम-एएलपीएस06399915 *
उच्च आयन

क्वालकॉम घटक

ये भेद्यताएं क्वालकॉम घटकों को प्रभावित करती हैं और उपयुक्त क्वालकॉम सुरक्षा बुलेटिन या सुरक्षा चेतावनी में और अधिक विस्तार से वर्णित हैं। इन मुद्दों की गंभीरता का आकलन सीधे क्वालकॉम द्वारा प्रदान किया जाता है।

सीवीई संदर्भ तीव्रता अवयव
सीवीई-2022-22057 ए-218337595
क्यूसी-सीआर#3077687
उच्च दिखाना
सीवीई-2022-22064 ए-218338071
क्यूसी-सीआर#3042282
क्यूसी-सीआर#3048959
क्यूसी-सीआर#3056532
क्यूसी-सीआर#3049158 [ 2 ]
उच्च WLAN
सीवीई-2022-22065 ए-218337597
क्यूसी-सीआर#3042293
क्यूसी-सीआर#3064612
उच्च WLAN
सीवीई-2022-22068 ए-218337596
क्यूसी-सीआर#3084983 [ 2 ]
उच्च गुठली
सीवीई-2022-22072 ए-218339149
क्यूसी-सीआर#3073345 [ 2 ]
उच्च WLAN

क्वालकॉम बंद-स्रोत घटक

ये कमजोरियां क्वालकॉम के क्लोज्ड-सोर्स घटकों को प्रभावित करती हैं और उपयुक्त क्वालकॉम सुरक्षा बुलेटिन या सुरक्षा अलर्ट में अधिक विस्तार से वर्णित हैं। इन मुद्दों की गंभीरता का आकलन सीधे क्वालकॉम द्वारा प्रदान किया जाता है।

सीवीई संदर्भ तीव्रता अवयव
सीवीई-2021-35090 ए-204905205 ​​* नाजुक बंद स्रोत घटक
सीवीई-2021-35072 ए-204905110 * उच्च बंद स्रोत घटक
सीवीई-2021-35073 ए-204905209 * उच्च बंद स्रोत घटक
सीवीई-2021-35076 ए-204905151 * उच्च बंद स्रोत घटक
सीवीई-2021-35078 ए-204905326 * उच्च बंद स्रोत घटक
सीवीई-2021-35080 ए-204905287 * उच्च बंद स्रोत घटक
सीवीई-2021-35086 ए-204905289 * उच्च बंद स्रोत घटक
सीवीई-2021-35087 ए-204905111 * उच्च बंद स्रोत घटक
सीवीई-2021-35094 ए-204905838 * उच्च बंद स्रोत घटक
सीवीई-2021-35096 ए-204905290 * उच्च बंद स्रोत घटक
सीवीई-2021-35116 ए-209469826 * उच्च बंद स्रोत घटक

कर्नेल एलटीएस

निम्न तालिका सुरक्षा पैच स्तर अनुपालन के लिए न्यूनतम कर्नेल संस्करण आवश्यकता का वर्णन करती है। एंड्रॉइड लॉन्च संस्करण एंड्रॉइड ओएस के संस्करण को संदर्भित करता है जो लॉन्च के समय डिवाइस पर था और कर्नेल संस्करण लिनक्स कर्नेल के संस्करण को संदर्भित करता है जो वर्तमान में डिवाइस पर है।

संदर्भ एंड्रॉइड ओएस लॉन्च संस्करण कर्नेल संस्करण न्यूनतम अद्यतन संस्करण
ए-202441831 1 1 5.4 5.4.147
ए-204345773 12 5.4 5.4.147

सामान्य प्रश्न और उत्तर

यह खंड उन सामान्य प्रश्नों के उत्तर देता है जो इस बुलेटिन को पढ़ने के बाद उत्पन्न हो सकते हैं।

1. मैं कैसे निर्धारित करूं कि इन समस्याओं को दूर करने के लिए मेरा डिवाइस अपडेट किया गया है या नहीं?

किसी डिवाइस के सुरक्षा पैच स्तर की जांच करने का तरीका जानने के लिए, अपना Android संस्करण जांचें और अपडेट करें देखें.

  • 2022-05-01 या बाद के सुरक्षा पैच स्तर 2022-05-01 सुरक्षा पैच स्तर से जुड़े सभी मुद्दों को संबोधित करते हैं।
  • 2022-05-05 या बाद के सुरक्षा पैच स्तर 2022-05-05 सुरक्षा पैच स्तर और पिछले सभी पैच स्तरों से जुड़े सभी मुद्दों को संबोधित करते हैं।

इन अद्यतनों को शामिल करने वाले डिवाइस निर्माताओं को पैच स्ट्रिंग स्तर को इस पर सेट करना चाहिए:

  • [ro.build.version.security_patch]:[2022-05-01]
  • [ro.build.version.security_patch]:[2022-05-05]

Android 10 या उसके बाद के कुछ उपकरणों के लिए, Google Play सिस्टम अपडेट में दिनांक स्ट्रिंग होगी जो 2022-05-01 सुरक्षा पैच स्तर से मेल खाती है। सुरक्षा अद्यतन स्थापित करने के तरीके के बारे में अधिक विवरण के लिए कृपया यह आलेख देखें।

2. इस बुलेटिन में दो सुरक्षा पैच स्तर क्यों हैं?

इस बुलेटिन में दो सुरक्षा पैच स्तर हैं ताकि Android भागीदारों के पास कमजोरियों के एक सबसेट को ठीक करने की सुविधा हो जो सभी Android उपकरणों में अधिक तेज़ी से समान हो। Android भागीदारों को इस बुलेटिन में सभी समस्याओं को ठीक करने और नवीनतम सुरक्षा पैच स्तर का उपयोग करने के लिए प्रोत्साहित किया जाता है।

  • 2022-05-01 सुरक्षा पैच स्तर का उपयोग करने वाले उपकरणों में उस सुरक्षा पैच स्तर से जुड़े सभी मुद्दों के साथ-साथ पिछले सुरक्षा बुलेटिन में रिपोर्ट की गई सभी समस्याओं के समाधान शामिल होने चाहिए।
  • 2022-05-05 या इससे बाद के सुरक्षा पैच स्तर का उपयोग करने वाले उपकरणों में इस (और पिछले) सुरक्षा बुलेटिन में सभी लागू पैच शामिल होने चाहिए।

भागीदारों को उन सभी समस्याओं के समाधान को बंडल करने के लिए प्रोत्साहित किया जाता है जिन्हें वे एक ही अद्यतन में संबोधित कर रहे हैं।

3. टाइप कॉलम में प्रविष्टियों का क्या अर्थ है?

भेद्यता विवरण तालिका के प्रकार कॉलम में प्रविष्टियां सुरक्षा भेद्यता के वर्गीकरण का संदर्भ देती हैं।

संक्षेपाक्षर परिभाषा
आरसीई रिमोट कोड निष्पादन
ईओपी विशेषाधिकार का उन्नयन
पहचान जानकारी प्रकटीकरण
करने योग्य सेवा की मनाई
एन/ए वर्गीकरण उपलब्ध नहीं है

4. सन्दर्भ कॉलम में प्रविष्टियों का क्या अर्थ है?

भेद्यता विवरण तालिका के संदर्भ कॉलम के अंतर्गत प्रविष्टियों में उस संगठन की पहचान करने वाला एक उपसर्ग हो सकता है जिससे संदर्भ मान संबंधित है।

उपसर्ग संदर्भ
ए- एंड्रॉइड बग आईडी
क्यूसी- क्वालकॉम संदर्भ संख्या
एम- मीडियाटेक संदर्भ संख्या
एन- NVIDIA संदर्भ संख्या
बी- ब्रॉडकॉम संदर्भ संख्या
यू के आकार UNISOC संदर्भ संख्या

5. संदर्भ कॉलम में Android बग आईडी के आगे * का क्या अर्थ है?

जो समस्याएं सार्वजनिक रूप से उपलब्ध नहीं हैं उनमें संबंधित संदर्भ आईडी के आगे एक * होता है। उस समस्या के लिए अद्यतन आम तौर पर Google डेवलपर साइट से उपलब्ध पिक्सेल उपकरणों के लिए नवीनतम बाइनरी ड्राइवरों में निहित है।

6. सुरक्षा कमजोरियों को इस बुलेटिन और डिवाइस/पार्टनर सुरक्षा बुलेटिन, जैसे कि Pixel बुलेटिन के बीच क्यों विभाजित किया गया है?

इस सुरक्षा बुलेटिन में प्रलेखित सुरक्षा भेद्यताएं Android उपकरणों पर नवीनतम सुरक्षा पैच स्तर घोषित करने के लिए आवश्यक हैं। सुरक्षा पैच स्तर घोषित करने के लिए डिवाइस/पार्टनर सुरक्षा बुलेटिन में प्रलेखित अतिरिक्त सुरक्षा भेद्यताएं आवश्यक नहीं हैं। Android डिवाइस और चिपसेट निर्माता अपने उत्पादों के लिए विशिष्ट सुरक्षा भेद्यता विवरण भी प्रकाशित कर सकते हैं, जैसे Google , Huawei , LGE , Motorola , Nokia , या Samsung

संस्करणों

संस्करण दिनांक टिप्पणियाँ
1.0 2 मई 2022 बुलेटिन प्रकाशित
1.1 3 मई 2022 AOSP लिंक्स को शामिल करने के लिए संशोधित बुलेटिन